
namespace TwitchEventSub.Types
{
    public class ChannelRaid : Event
    {
        public string from_broadcaster_user_id { get; set; } //The broadcaster ID that created the raid.
        public string from_broadcaster_user_login { get; set; } //The broadcaster login that created the raid.
        public string from_broadcaster_user_name { get; set; } //The broadcaster display name that created the raid.
        public string to_broadcaster_user_id { get; set; } //The broadcaster ID that received the raid.
        public string to_broadcaster_user_login { get; set; } //The broadcaster login that received the raid.
        public string to_broadcaster_user_name { get; set; } //The broadcaster display name that received the raid.
        public int viewers { get; set; } //The number of viewers in the raid.
    }
}