namespace TwitchEventSub.Types.Moderation
{
    public class ChannelModeratorRemove : Event
    {
        public string broadcaster_user_id { get; set; } //The requested broadcaster ID.
        public string broadcaster_user_login { get; set; } //The requested broadcaster login.
        public string broadcaster_user_name { get; set; } //The requested broadcaster display name.
        public string user_id { get; set; } //The user ID of the removed moderator.
        public string user_login { get; set; } //The user login of the removed moderator.
        public string user_name { get; set; } //The display name of the removed moderator.
    }
}