namespace TwitchEventSub.Types
{
    public class StreamActivity : Event
    {
        public string broadcaster_user_id { get; set; } //The broadcaster’s user id.
        public string broadcaster_user_login { get; set; } //The broadcaster’s user login.
        public string broadcaster_user_name { get; set; } //The broadcaster’s user display name.
    }
    public class StreamOffline : StreamActivity {}

    public class StreamOnline : StreamActivity
    {
        public string id { get; set; } //The id of the stream.
        public string type { get; set; } //The stream type. Valid values are: live, playlist, watch_party, premiere, rerun.
        public string started_at { get; set; } //The timestamp at which the stream went online at.
    }
}