namespace TwitchEventSub.Types.Moderation
{

    public class ChannelUnban : Event
    {
        public string user_id { get; set; } //The user id for the user who was unbanned on the specified channel.
        public string user_login { get; set; } //The user login for the user who was unbanned on the specified channel.
        public string user_name { get; set; } //The user display name for the user who was unbanned on the specified channel.
        public string broadcaster_user_id { get; set; } //The requested broadcaster ID.
        public string broadcaster_user_login { get; set; } //The requested broadcaster login.
        public string broadcaster_user_name { get; set; } //The requested broadcaster display name.
        public string moderator_user_id { get; set; } //The user ID of the issuer of the unban.
        public string moderator_user_login { get; set; } //The user login of the issuer of the unban.
        public string moderator_user_name { get; set; } //The user name of the issuer of the unban.
    }
}