namespace TwitchEventSub.Types.Offline
{
    public class ChannelFollow : Event
    {
        public string user_id { get; set; } //The user ID for the user now following the specified channel.
        public string user_login { get; set; } //The user login for the user now following the specified channel.
        public string user_name { get; set; } //The user display name for the user now following the specified channel.
        public string broadcaster_user_id { get; set; } //The requested broadcaster ID.
        public string broadcaster_user_login { get; set; } //The requested broadcaster login.
        public string broadcaster_user_name { get; set; } //The requested broadcaster display name.
        public string followed_at { get; set; } //RFC3339 timestamp of when the follow occurred.
    }
}